## org.eclipse.datatools.sqltools.sqlbuilder.views.execute
Class ParameterTableViewer

    java.lang.Object
      org.eclipse.jface.viewers.Viewer
          org.eclipse.jface.viewers.ContentViewer
              org.eclipse.jface.viewers.StructuredViewer
                  org.eclipse.jface.viewers.ColumnViewer
                      org.eclipse.jface.viewers.AbstractTableViewer
                          org.eclipse.jface.viewers.TableViewer
                              org.eclipse.datatools.sqltools.sqlbuilder.views.NavigableTableViewer
                                  org.eclipse.datatools.sqltools.sqlbuilder.views.execute.ParameterTableViewer

All Implemented Interfaces:
  org.eclipse.jface.viewers.IInputProvider, org.eclipse.jface.viewers.IInputSelectionProvider, org.eclipse.jface.viewers.IPostSelectionProvider, org.eclipse.jface.viewers.ISelectionProvider

    public class ParameterTableViewer

extends NavigableTableViewer

Nested Class Summary
`class` `ParameterTableViewer.ParameterTableCellModifier`
`class` `ParameterTableViewer.ParameterValueCellEditor`

Field Summary
`static java.lang.String` `P_MARKER_NAME`
`static java.lang.String` `P_MARKER_TYPE`
`static java.lang.String` `P_MARKER_VALUE`

Fields inherited from class org.eclipse.datatools.sqltools.sqlbuilder.views.NavigableTableViewer
`copyright`

Constructor Summary
`ParameterTableViewer(ParameterMarkerPage pmp, int style, org.eclipse.swt.widgets.Composite parent, java.util.Vector parmMarkers)`

Method Summary
`ParameterMarkerPage` `getParameterMarkerPage()`

Methods inherited from class org.eclipse.datatools.sqltools.sqlbuilder.views.NavigableTableViewer
`getNavigator, refresh, setCellEditors`

Methods inherited from class org.eclipse.jface.viewers.TableViewer
`getControl, getTable, refresh, refresh, setSelection`

Methods inherited from class org.eclipse.jface.viewers.AbstractTableViewer
`add, add, clear, getElementAt, getLabelProvider, insert, remove, remove, replace, reveal, setItemCount`

Methods inherited from class org.eclipse.jface.viewers.ColumnViewer
`cancelEditing, editElement, getCell, getCellEditors, getCellModifier, getColumnProperties, getColumnViewerEditor, getLabelProvider, isBusy, isCellEditorActive, refresh, refresh, setCellModifier, setColumnProperties, setColumnViewerEditor, setLabelProvider, update`

Methods inherited from class org.eclipse.jface.viewers.StructuredViewer

`addDoubleClickListener, addDragSupport, addDropSupport, addFilter, addOpenListener, addPostSelectionChangedListener, getComparator, getComparer, getFilters, getSelection, getSorter, refresh, removeDoubleClickListener, removeFilter, removeOpenListener, removePostSelectionChangedListener, resetFilters, setComparator, setComparer, setContentProvider, setFilters, setInput, setSorter, setUseHashlookup, testFindItem, testFindItems, update`

Methods inherited from class org.eclipse.jface.viewers.ContentViewer
`getContentProvider, getInput`

Methods inherited from class org.eclipse.jface.viewers.Viewer
`addHelpListener, addSelectionChangedListener, getData, removeHelpListener, removeSelectionChangedListener, scrollDown, scrollUp, setData, setSelection`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.eclipse.jface.viewers.ISelectionProvider
`addSelectionChangedListener, removeSelectionChangedListener, setSelection`

Field Detail

### P_MARKER_NAME

    public static final java.lang.String P_MARKER_NAME

See Also:
  Constant Field Values

### P_MARKER_TYPE

    public static final java.lang.String P_MARKER_TYPE

See Also:
  Constant Field Values

### P_MARKER_VALUE

    public static final java.lang.String P_MARKER_VALUE

See Also:
  Constant Field Values

Constructor Detail

### ParameterTableViewer

    public ParameterTableViewer(ParameterMarkerPage pmp,
                                int style,
                                org.eclipse.swt.widgets.Composite parent,
                                java.util.Vector parmMarkers)

Method Detail

### getParameterMarkerPage

    public ParameterMarkerPage getParameterMarkerPage()